module RspecRedisHelper
  RSpec.configure do |config|
    config.include RSpec::RedisHelper, redis: true

    # define custom method that flushdb instead of flushall
    def with_clean_redis_db(&block)
    	redis.client.disconnect
    	redis2.client.disconnect
    	redis.flushdb
    	begin
    		yield
    	ensure
    		redis.flushdb
    		redis.quit
    		redis2.quit
    	end
    end

    # clean the redis-helper gem's Redis database around each run
    config.around(:each, redis: true) do |example|
      $redis = redis
      with_clean_redis_db do
        # force the app to use the redis helper gem's Redis database
        example.run
      end
    end
  end
end
